Subject: Re: Help with installing Demacs
From: [email-masked] (Daniel G. Simmons)
Date: 19 Dec 91 17:14:31 GMT
Newsgroups: comp.binaries.ibm.pc.archives

To Install Demacs: (according to Danny Simmons...)
------------------
- These instructions assume you want the english version, and you have an
  ibm compatible 386 or 486...
- I also assume that you do not have any conflicts that would make problems
  running programs compiled with djgpp.  (i.e. You're not running emm386 from
  the Windows or something.)  If you don't know about this one, post a 
  message and someone will come running with an answer.  I don't really know
  all the details, but my 386 w/DOS 5.0 not loaded high, 5MB RAM, 1MB used for
  a cache, etc.  Works...

1. Download the 2 files, and get a copy of pkunzip.
	- dem120e.zip
	- dem120s.zip

2. Make a directory to hold the files.  For the remainder of these
   instructions I will use the name c:\demacs, but you can substitute
   whatever you would like.

3. Unpack -- a short list of commands to type follows:
	c:\> cd \demacs
	c:\demacs> pkunzip -d dem120e.zip
	c:\demacs> pkunzip -d dem120s.zip
	c:\demacs> pkunzip -d etc.zip
	c:\demacs> pkunzip -d lisp.zip
	c:\demacs> copy edired.zip lisp	    -- just trust me on this one...
	c:\demacs> erase *.zip	  -- or move them elsewhere out of your way
	c:\demacs> cd lisp
	c:\demacs\lisp> pkunzip -d edired.zip
	c:\demacs\lisp> erase edired.zip

4. Set up environment variables:
   Either put these in a batch file called emacs, which you will run
   once at the start of any session where you want to use demacs, or
   put them all in your autoexec.bat.  You may very well have to
   increase your environment space, by adding a /e:xxxx (say 512) to
   the shell line in your config.sys...

	Autoexec.bat
	------------
	set TERM=ibmpc
	set TERMCAP=c:\demacs\termcap
	set HOME=c:\demacs
	set GO32TMP=c:\tmp -- you may need to create a tmp directory...
	set TZ=MST         -- mountain standard time
	set USER=danny     -- hey, that's me!
	set EMACSLOADPATH=c:\emacs\lisp
	set EMACSEXECPATH=d:\emacs\etc
	set DEMACS_KEEP=1024 		-- assumes you have extended RAM
	set SHELL=c:\command.com

5. Copy the executables to some directory in your path.  For the sake
   of this example, I will assume that you have a directory called
   c:\bin in your path...  You could put the demacs directory in your
   path and just copy them in there, but that's up to you.

	c:\> copy \demacs\bin\demacspc.exe \bin\demacs.exe
	c:\> copy \demacs\bin\demacs \bin

6. Edit the _emacs file.  This is a file of E-Lisp commands that are executed
   each time you start Demacs.  It has to be edited to tell demacs that you
   have an IBMPC type machine not one of the Japanese clones.  Also, I have 
   found it necessary to add a line at the end to tell it where the Info
   directory is so that the TEXINFO system works.  So, whip out an editor,
   (EDLIN if you must) and do the following.

	1. Remove the semi-colon at the beginning of line 13...
		;(setq dos-machine-type 'ibmpc)
	   becomes:
		(setq dos-machine-type 'ibmpc)

	2. Add a line at the end of the file which reads:
		(setq Info-directory "c:/demacs/info")

	3. Optionally, remove the semi-colon at the beginning of line 19 if you
	   want to switch delete and backspace.  Normally, emacs uses ctrl-h to
	   mean "help", but that seems super weird to most PC users, so...
		;(load-library "term/bobcat") ; swap BS (C-h) and DEL
	   becomes:
		(load-library "term/bobcat") ; swap BS (C-h) and DEL

7. Try running it...
	c:\> demacs

8. Once	it loads up, look at the tutorial...  C-h t
   Then look at TEXTINFO (where the real info is)...  C-h i

   Note: If you chose to do item number 3 in instruction 6 (swap C-h and DEL),
         then you will be typing DEL t or DEL i for those things.  Of course,
	 either way you can just press F1 instead of C-h or DEL, because of
	 the new mappings for DEMACS to a PC keyboard.

I hope this helps...  I just gleaned this from my experience hacking
around with the system.  Maybe, this could be added to the
distribution if other people find it helpful.  If so, mail me and I'll
send it along to the WONDERFUL people who did this port.  BTW, hats
off to you, Manabu Higashida and Hirano Satoshi!

-- 
Daniel G. Simmons  			[email-masked]
---------------------------------------------------------------
Some trust in chariots and some in horses, but we trust in the
name of the Lord our god. -- Psalm 20:7

From: [email-masked] (Daniel G. Simmons)
Newsgroups: comp.binaries.ibm.pc.archives
Subject: Re: Help with installing Demacs
Date: 20 Dec 91 04:49:56 GMT

As an addendum to "Help with installing Demacs" which I posted above,
it is also important to have ansi.sys in your config.sys (nnansi.sys
only works if you re-assemble it with a small modification to enable
key re-definition).

Also, if you have extended memory, you need to put himem.sys in your
config.sys to enable it...

Finally, Timo is quite right in saying that this discussion belongs in
comp.emacs or comp.editors or somewhere else.  I've posted this last
message to both groups (cbip.archives and comp.emacs) for the purpose
of continuity (and making sure the info gets to the original poster),
but anything else should go to comp.emacs or gnu.emacs.help or
somewhere.

Sorry Timo, I didn't realize where I was posting--just read the letter and 
hit the key for follow-up you know. :-)

-- 
Daniel G. Simmons  			[email-masked]
---------------------------------------------------------------
Some trust in chariots and some in horses, but we trust in the
name of the Lord our god. -- Psalm 20:7